/**
@file	tcltk_bmarker.h
@brief	A shared object to manage markers in micrograph parameter files in TCL/Tk
@author	Bernard Heymann
@date	Created: 20030813
@date	Modified: 20160617
**/

// Tk must be included before anything else to remedy symbol conflicts
#include <tk.h>

#include "mg_processing.h"

// Function prototypes
int			do_tomo_transfer_seed(Bproject* project, int objc, Tcl_Obj *CONST objv[]);
int			do_tomo_findaxis(Bproject* project, int objc, Tcl_Obj *CONST objv[]);
int			do_tomo_track(Bproject* project, int objc, Tcl_Obj *CONST objv[]);
int			do_tomo_refine(Bproject* project, int objc, Tcl_Obj *CONST objv[]);
int			do_tomo_refine_one(Bproject* project, int objc, Tcl_Obj *CONST objv[]);
Tcl_Obj*	do_marker(Bproject* project, int objc, Tcl_Obj *CONST objv[]);


